Name:           epel-rpm-macros
Version:        8
Release:        32
Summary:        Extra Packages for Enterprise Linux RPM macros

License:        GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            https://download.fedoraproject.org/pub/epel
Source0:        macros.epel-rpm-macros
Source1:        macros.zzz-epel-override
Source9:        GPL

# sysusers https://src.fedoraproject.org/rpms/systemd/c/ced9237a14d6775a98e1a2f93880990417b4ae6e
Source21:       macros.sysusers
Source22:       sysusers.attr
Source23:       sysusers.prov
Source24:       sysusers.generate-pre.sh

# misc macros
Source150:      macros.build-constraints

BuildArch:      noarch
Requires:       redhat-release >= %{version}
# For FPC buildroot macros
Requires:       fpc-srpm-macros
# For Lua SRPM macros
Requires:       lua-srpm-macros
# For python buildroot macros
Requires:       python-srpm-macros
# Since the RHEL python-devel package doesn't require them, bring them in here
Requires:       python-rpm-macros
Requires:       (python2-rpm-macros if python2-devel)
# Make sure EPEL8's Python 3 packages use /usr/bin/python3.{6,8,9} instead of /usr/libexec/platform-python.
# This will install the python3X-rpm-macros version corresponding to the python3X-devel version installed.
# If multiple versions are installed together, it will prefer python36-rpm-macros, the default Python version.
Requires:       (python-modular-rpm-macros if (python36-devel or python38-devel or python39-devel))
# We use weak dependencies here in order to avoid creating conflicts between
# the different python3X-devel packages.
Recommends:     (python36-rpm-macros if python36-devel)
Suggests:       (python38-rpm-macros if python38-devel)
Suggests:       (python39-rpm-macros if python39-devel)
#systemd additional macros https://pagure.io/epel/issue/77
Requires:       (epel-rpm-macros-systemd if systemd-rpm-macros)
Requires:       ansible-srpm-macros

%description
This package contains the Extra Packages for Enterprise Linux (EPEL) RPM
macros for building EPEL packages.

%package systemd
Summary:  Extra Packages for Enterprise Linux RPM macros (systemd)
Requires: epel-rpm-macros
Requires: systemd-rpm-macros

%description systemd
This package contains the systemd specific Extra Packages for Enterprise
Linux (EPEL) RPM macros for building EPEL packages.

%prep
%setup -cT
install -pm 644 %{SOURCE9} .

%install
#GPG Key
install -Dpm 644 %{SOURCE0} \
    %{buildroot}%{_rpmmacrodir}/macros.epel-rpm-macros

install -Dpm 644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rpm/macros.zzz-epel-override

# sysusers
install -Dpm 0644 %{SOURCE21} \
    %{buildroot}%{_rpmmacrodir}/macros.sysusers
install -Dpm 0644 %{SOURCE22} \
    %{buildroot}%{_fileattrsdir}//sysusers.attr
install -Dpm 0755 %{SOURCE23} \
    %{buildroot}%{_rpmconfigdir}/sysusers.prov
install -Dpm 0755 %{SOURCE24} \
    %{buildroot}%{_rpmconfigdir}/sysusers.generate-pre.sh

# misc macros
install -Dpm 644 %{SOURCE150} \
    %{buildroot}%{_rpmmacrodir}/macros.build-constraints


%files
%license GPL
%{_rpmmacrodir}/macros.epel-rpm-macros
%{_sysconfdir}/rpm/macros.zzz-epel-override

# misc macros
%{_rpmmacrodir}/macros.build-constraints

%files systemd
# sysusers
%{_rpmconfigdir}/macros.d/macros.sysusers
%{_rpmconfigdir}/fileattrs/sysusers.attr
%{_rpmconfigdir}/sysusers.prov
%{_rpmconfigdir}/sysusers.generate-pre.sh


%changelog
* Mon Jul 18 2022 Maxwell G <gotmax@e.email> - 8-32
- rebuilt

* Sat Jul 16 2022 Miro Hrončok <mhroncok@redhat.com> - 8-31
- Fix a regression in the %%pytest definition (/usr/bin/pytest: No such file or directory)

* Tue May 24 2022 Maxwell G <gotmax@e.email> - 8-30
- Pull in appropriate python3X-rpm-macros package for non-default Python
  versions
- Ensure the python macros work properly when building against non-default
  python interpreters.
- Only pull in python2-rpm-macros when python2-devel is present.
- Remove macros that have been added to RHEL itself.

* Tue May 17 2022 Maxwell G <gotmax@e.email> - 8-29
- Add `Requires: ansible-srpm-macros`
- Backport @churchyard's packaging nitpicks from epel9

* Tue Mar 15 2022 Miro Hrončok <mhroncok@redhat.com> - 8-28
- Remove %%gpgverify and /usr/lib/rpm/gpgverify, it is available in RHEL 8.4+

* Wed Jan 19 2022 Pablo Greco <pgreco@centosproject.org> - 8-27
- Backport systemd sysusers macros from Fedora

* Wed Oct 27 2021 Karolina Surma <ksurma@redhat.com> - 8-26
- Add -t, -f, -e options to %%py_check_import which emit warning when used

* Tue Oct 26 2021 Tomas Orsava <torsava@redhat.com> - 8-25
- Define a new macros %%python_wheel_dir and %%python_wheel_pkg_prefix

* Wed Sep  1 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 8-24
- Fix macros.build-constraints' %%limit_build
  - number of CPUs will never be set to less than 1
  - this now outputs build flag overrides to be used with %%make_build etc.
  - add documentation

* Mon Aug  2 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 8-23
- Add macros.build-constraints
- Refactor to use standard macros, not hard-coded paths

* Wed Jul 14 2021 Miro Hrončok <mhroncok@redhat.com> - 8-22
- Introduce %%py3_check_import

* Wed May 19 2021 Neal Gompa <ngompa13@gmail.com> - 8-21
- Drop custom CMake macros, RHEL 8.4 includes them now (cf. rhbz#1858983)

* Sat May 01 2021 Todd Zullinger <tmz@pobox.com> - 8-20
- Backport %%gpgverify API simplification
- Remove exec perms from /etc/rpm/macros.zzz-epel-override-cmake
- Silence rpmlint warnings about non-issues

* Tue Dec 22 2020 Miro Hrončok <mhroncok@redhat.com> - 8-19
- Define %%python_disable_dependency_generator

* Fri Sep 25 2020 Miro Hrončok <mhroncok@redhat.com> - 8-18
- Add %%python3_platform_triplet and %%python3_ext_suffix
- https://fedoraproject.org/wiki/Changes/Python_Upstream_Architecture_Names

* Tue Sep  8 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 8-17
- Add a Requires for lua-srpm-macros

* Thu Jul 30 2020 Neal Gompa <ngompa13@gmail.com> - 8-16
- Use legacy behavior for cmake-configure

* Wed Jul 29 2020 Neal Gompa <ngompa13@gmail.com> - 8-15
- Backport support for out-of-source builds controlled by __cmake_in_source_build macro (#1861329)
- Backport cmake_build and cmake_install macros
- Backport ctest macro

* Sun Jun 28 2020 Artur Iwicki <fedora@svgames.pl> - 8-14
- Add a Requires for fpc-srpm-macros

* Fri Jun 19 2020 Troy Dawson <tdawson@redhat.com> - 8-13
- Use Suggests for python36-rpm-macros

* Sun Jun 07 2020 Miro Hrončok <mhroncok@redhat.com> - 8-12
- Backport %%py_shebang_fix, %%pytest, %%py_provides
- Allow to combine %%pycached with other macros (e.g. %%exclude or %%ghost) (#1838992)

* Thu Apr 30 2020 Troy Dawson <tdawson@redhat.com> - 8-11
- Install python36-rpm-macros or python38-rpm-macros correctly

* Tue Apr 14 2020 Miro Hrončok <mhroncok@redhat.com> - 8-10
- Define %%python, but make it work only if %%__python is redefined
- Add the %%pycached macro

* Fri Apr 03 2020 Troy Dawson <tdawson@redhat.com> - 8-9
- Add %%qt5_qtwebengine_arches to macros

* Thu Nov 21 2019 Troy Dawson <tdawson@redhat.com> - 8-8
- Bump release to be in sync with playground build.

* Wed Nov 20 2019 Troy Dawson <tdawson@redhat.com> - 8-6
- Enable python requires generator

* Wed Nov 13 2019 Kevin Fenzi <kevin@scrye.com> - 8-5
- Bump release, because 8-4 was built in epel8-playground

* Wed Oct 30 2019 Orion Poplawski <orion@nwra.com> - 8-4
- Add gpgverify macro and script

* Mon Oct 21 2019 Miro Hrončok <mhroncok@redhat.com> - 8-3
- Make sure EPEL8's Python 3 packages use /usr/bin/python3.6 instead of /usr/libexec/platform-python

* Mon Sep 30 2019 Miro Hrončok <mhroncok@redhat.com> - 8-2
- Define %%python2 and %%python3

* Wed Jun  5 2019 Stephen Smoogen <smooge@smoogen-laptop.localdomain> - 8-1
- Make an initial macro set for 8. 

* Fri Jun 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-19
- Add %%set_build_flags macro.

* Mon May 14 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-18
- Add various %%build_* macros from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-17
- Add %%_rpmmacrodir from Fedora.

* Fri Apr 20 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-16
- Add %%_metainfodir macro.

* Thu Feb 15 2018 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-15
- Add %%vimfiles_root (bug #1545901)

* Mon Jan 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7-14
- Backport ldconfig macros

* Thu Dec 15 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-13
- Backport vpath macros.

* Fri Dec 9 2016 Orion Poplawski <orion@cora.nwra.com> 7-12
- Fix override macro file name

* Tue Dec 6 2016 Orion Poplawski <orion@cora.nwra.com> 7-11
- Override %%_pkgdocdir (bug #1392354)

* Fri Sep 16 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-10
- Add overrides file (seems that it must be in /etc/rpm) and override
  %%nodejs_arches.

* Thu Aug 11 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-9
- Add %%bash_completion_dir.

* Wed Mar 30 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-8
- Use simpler definition of %%epel.

* Thu Feb 18 2016 Jason L Tibbitts III <tibbs@math.uh.edu> - 7-7
- Add mono macros requested in rhbz 1295117.

* Mon Jan 25 2016 Orion Poplawski <orion@cora.nwra.com> 7-6
- Bring in python macros via the python-rpm-macros packages
- Use %%setup so fedpkg local works

* Mon Jan 4 2016 Orion Poplawski <orion@cora.nwra.com> 7-5
- Fix python_provide macro for EPEL7 python3 package names

* Thu Oct  8 2015 Thomas Spura <tomspur@fedoraproject.org> - 7-4
- Fix python_provide macro to use epoch and obsolete previous python- package

* Tue Aug 18 2015 Orion Poplawski <orion@cora.nwra.com> 7-3
- Fix py2_install macro
- Cleanup spec

* Sat Aug 01 2015 Kevin Fenzi <kevin@scrye.com> 7-2
- Add python macros. Fixes bug #1241655

* Wed Apr 29 2015 Kevin Fenzi <kevin@scrye.com> 7-1
- Initial version for epel.
